> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUserFile summaries

> Get a page of an end user's files, newest first, with the parse status, field validation counts and email classification the full files response carries inside parsed_results, but without the parsed bodies themselves.




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/files/summary
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/files/summary:
    get:
      tags:
        - EndUserFiles
      summary: Get EndUserFile summaries
      description: >
        Get a page of an end user's files, newest first, with the parse status,
        field validation counts and email classification the full files response
        carries inside parsed_results, but without the parsed bodies themselves.
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: Pagination page number
          in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            type: integer
        - description: Pagination limit per page
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            type: integer
        - description: >-
            Filter to these file classes. Repeat the parameter for more than
            one.
          explode: true
          in: query
          name: file_class
          required: false
          schema:
            items:
              type: string
            nullable: true
            type: array
          style: form
        - in: query
          name: has_bank_statement
          required: false
          schema:
            nullable: true
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  _meta:
                    $ref: '#/components/schemas/Pagination'
                  files:
                    items:
                      $ref: '#/components/schemas/EndUserFileSummarySchema'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Pagination:
      properties:
        next_url:
          description: the URL of the next page
          format: url
          nullable: true
          type: string
        num_results:
          description: the number of results on this page
          type: integer
        page:
          description: current page
          type: integer
        pages:
          description: the number of pages
          type: integer
        per_page:
          description: the max number of results per page
          type: integer
        prev_url:
          description: the URL of the last page
          format: url
          nullable: true
          type: string
        total:
          description: the number of results across all pages
          type: integer
      type: object
    EndUserFileSummarySchema:
      properties:
        bank_statement:
          allOf:
            - $ref: '#/components/schemas/PdfGet'
          example: null
          nullable: true
          readOnly: true
        created:
          format: date-time
          type: string
        file_class:
          type: string
        file_source_metadata:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        filename:
          type: string
        heron_id:
          type: string
        is_non_actionable_email:
          type: boolean
        iso_application:
          allOf:
            - $ref: '#/components/schemas/GetIsoApplication'
          nullable: true
          readOnly: true
        latest_parsed_at:
          format: date-time
          nullable: true
          type: string
        num_pages:
          type: integer
        page_classes:
          additionalProperties:
            $ref: '#/components/schemas/EndUserFilePageClasses'
          nullable: true
          type: object
        parent_heron_id:
          nullable: true
          type: string
        parse_status:
          enum:
            - classifying
            - parsing
            - parsed
            - failed
            - awaiting
            - processed
          type: string
        processing_error:
          nullable: true
          readOnly: true
          type: string
        reference_id:
          type: string
        renamed_filename:
          type: string
        validation_counts:
          $ref: '#/components/schemas/EndUserFileValidationCounts'
      required:
        - is_non_actionable_email
        - parse_status
        - validation_counts
      type: object
    PdfGet:
      properties:
        data_source:
          allOf:
            - $ref: '#/components/schemas/DataSourceNested'
          description: >-
            The data source for this PDF. Only available after parsing and
            enrichment has completed, otherwise null.
          nullable: true
        heron_id:
          description: ID generated by Heron Data
          example: pdf_ZNcKFoafjqgXfr62PDGcJb
          type: string
        status:
          description: Status of PDF
          enum:
            - new
            - parsing
            - parsed
            - processed
            - human_reviewing
            - approved
            - rejected
            - failed
            - transactions_loaded
            - transactions_unloaded
          example: processed
          type: string
      type: object
    GetIsoApplication:
      properties:
        heron_id:
          description: The ISO application's heron_id
          example: iso_6hBjQT9k6KP2rLCXwjUJff
          type: string
        processing_status:
          description: The processing status of the file.
          enum:
            - new
            - processing
            - processed
            - failed
          example: processed
          type: string
      required:
        - heron_id
        - processing_status
      type: object
    EndUserFilePageClasses:
      properties:
        confidence:
          default: 1
          type: number
        file_class:
          type: string
      type: object
    EndUserFileValidationCounts:
      properties:
        failed:
          type: integer
        not_applicable:
          type: integer
        passed:
          type: integer
      required:
        - failed
        - not_applicable
        - passed
      type: object
    DataSourceNested:
      properties:
        heron_id:
          description: Heron ID of the data source
          type: string
        is_enabled:
          description: Whether this data source is enabled
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````